AWSTemplateFormatVersion: '2010-09-09'
Description: Vectra HostID User version 1
Resources:
  user:
    Properties:
      Policies:
        - PolicyDocument:
            Statement:
              - Action:
                  - iam:ListAccountAliases
                  - iam:SimulatePrincipalPolicy
                  - ec2:DescribeInstances
                  - ec2:DescribeRegions
                  - ec2:DescribeSubnets
                  - ec2:DescribeTrafficMirrorTargets
                  - ec2:DescribeTrafficMirrorSessions
                  - ec2:DescribeVpcPeeringConnections
                  - ec2:DescribeVpcs
                  - sts:GetCallerIdentity
                Effect: Allow
                Resource:
                  - '*'
            Version: '2012-10-17'
          PolicyName: vectra_hostid_permissions
      UserName: VectraCognitoHostIDv1
    Type: AWS::IAM::User
